Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510745 - Intermittently keys in spice session are getting "stuck"' [NEEDINFO]
Summary: Intermittently keys in spice session are getting "stuck"'
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: spice-usbdk-win
Version: 4.1.3
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.3.3
: 4.3.0
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 07:00 UTC by Pawan kumar Vilayatkar
Modified: 2019-03-22 20:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 20:56:31 UTC
oVirt Team: Spice
mkalinin: needinfo? (cfergeau)


Attachments (Terms of Use)

Description Pawan kumar Vilayatkar 2017-11-08 07:00:20 UTC
Description of problem:

When using CTRL+C CTRL+V in spice session stuck .
Customer is using RHV VDI and they use windows 10 to connect to their 
fedora 25 vm.

Found the following bugzilla which describes problem

>> https://bugzilla.redhat.com/show_bug.cgi?id=1286808

Customer use the latest virt-viewer and the latest usbdk which comes with rhv 4.1.3

Version-Release number of selected component (if applicable):
RHV 4.1.3



Additional info:


The bugzilla 1286808 points out to a upstream bugzilla :

>> https://bugs.freedesktop.org/show_bug.cgi?id=94205


which talks about setting
SPICE_KEYPRESS_DELAY to 0 and more investigation shows an other setting named SPICE_INPUTS_CAP_SCANCODE
which i can't find any documentation for.
is this something to test? and do have info about SPICE_INPUTS_CAP_SCANCODE? "


Where we need to specify the above parameter in Guest or host ?

Comment 1 Christophe Fergeau 2017-11-08 13:38:19 UTC
(In reply to Pawan kumar Vilayatkar from comment #0)
> Description of problem:

> which talks about setting
> SPICE_KEYPRESS_DELAY to 0 and more investigation shows an other setting
> named SPICE_INPUTS_CAP_SCANCODE
> which i can't find any documentation for.
> is this something to test? and do have info about SPICE_INPUTS_CAP_SCANCODE?
> "
> 
> 
> Where we need to specify the above parameter in Guest or host ?

SPICE_KEYPRESS_DELAY would need to be set on the machine running the client (remote-viewer)

Comment 2 Sandro Bonazzola 2019-01-28 09:40:16 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 4 Marina 2019-03-22 17:54:02 UTC
(In reply to Christophe Fergeau from comment #1)
> (In reply to Pawan kumar Vilayatkar from comment #0)
> > Description of problem:
> 
> > which talks about setting
> > SPICE_KEYPRESS_DELAY to 0 and more investigation shows an other setting
> > named SPICE_INPUTS_CAP_SCANCODE
> > which i can't find any documentation for.
> > is this something to test? and do have info about SPICE_INPUTS_CAP_SCANCODE?
> > "
> > 
> > 
> > Where we need to specify the above parameter in Guest or host ?
> 
> SPICE_KEYPRESS_DELAY would need to be set on the machine running the client
> (remote-viewer)

Hi Christophe, can you please be more specific on how to achieve this?
Also, this is RHV VM, so we open the console from RHV UI without much ability to pass arguments to spice.
I will attach screenshot that shows what are the options we have in RHV for spice console.

Comment 5 David Blechter 2019-03-22 20:56:31 UTC
(In reply to Marina from comment #4)
> (In reply to Christophe Fergeau from comment #1)
> > (In reply to Pawan kumar Vilayatkar from comment #0)
> > > Description of problem:
> > 
> > > which talks about setting
> > > SPICE_KEYPRESS_DELAY to 0 and more investigation shows an other setting
> > > named SPICE_INPUTS_CAP_SCANCODE
> > > which i can't find any documentation for.
> > > is this something to test? and do have info about SPICE_INPUTS_CAP_SCANCODE?
> > > "
> > > 
> > > 
> > > Where we need to specify the above parameter in Guest or host ?
> > 
> > SPICE_KEYPRESS_DELAY would need to be set on the machine running the client
> > (remote-viewer)
> 
> Hi Christophe, can you please be more specific on how to achieve this?
> Also, this is RHV VM, so we open the console from RHV UI without much
> ability to pass arguments to spice.
> I will attach screenshot that shows what are the options we have in RHV for
> spice console.

it is environmental variable on the client. 
Sadly CEE did not update the BZ from the custom case. Important message from the customer was dated on June 2018, but not BZ . Customer knew how and did set the variable to 0 as was recommended, and saw significant improvement. 

Two more comments: 1. Why the bug is on usb-redirection component? 2. Fedora is not officially supported.

closing


Note You need to log in before you can comment on or make changes to this bug.